import React, { Component } from 'react'
import { GoogleLogin, GoogleLogout } from 'react-google-login';

const clientId = `${process.env.REACT_APP_GOOGLE_CLIENT_ID}.apps.googleusercontent.com`;

export default class Session extends Component {
    constructor(props) {
        super(props)
        this.loginSuccess = this.loginSuccess.bind(this)
        this.loginFailed = this.loginFailed.bind(this)
        this.logOutSuccess = this.logOutSuccess.bind(this)
    }

    loginSuccess = (response) => {
        console.log('Login Success: currentUser:', response);
        this.props.login()
    }

    loginFailed = (response) => {
        console.log('Login failed: res:', response);
    }

    logOutSuccess = (response) => {
        console.log('Logout made successfully');
        this.props.logOut()
    }
    
    render() {
        return (
            <div>
                {this.props.currentUser === null ? 
                    <GoogleLogin
                        clientId={clientId}
                        buttonText="Login"
                        onSuccess={this.loginSuccess}
                        onFailure={this.loginFailed}
                        cookiePolicy={'single_host_origin'}
                /> :  <GoogleLogout
                        clientId={clientId}
                        buttonText="Logout"
                        onLogoutSuccess={this.logOutSuccess}
                    ></GoogleLogout>
                }
            </div>
        )
    }
}
